.btn {
    outline: none;
    cursor: pointer;
    font-weight: 400;
    min-height: toRem(48);
    font-size: toRem(14);
    line-height: toRem(20);
    border-radius: 8px;
    padding: toRem(8) toRem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    border: 1px solid;
    justify-content: center;
    vertical-align: middle;
    transition: .25s;

    &:hover {
        text-decoration: none;
        transition: .25s;
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: toRem(20);
    }

    span + i {
        margin-left: toRem(6);
    }

    i + span {
        margin-left: toRem(6);
    }
}

.btn-border {
    fill: $blue;
    color: $blue;
    background: $white;
    border-color: $blue;

    &:hover {
        fill: $white;
        color: $white;
        border-color: $blue;
        background: $blue;
    }

    &:active {
        fill: $blue;
        color: $blue;
        background: $white;
        border-color: $blue;
    }
}

.btn-blue {
    fill: $white;
    color: $white;
    border: 1px solid #04C;
    background: #04C;

    &:hover {
        fill: $white;
        color: $white;
        border-color: #1461ff;
        background: #1461ff;
    }

    &:active {
        border-color: #04C;
        background: #04C;
    }
}

.btn-red {
    fill: $white;
    color: $white;
    border: 1px solid $red;
    background: $red;

    &:hover {
        fill: $white;
        color: $white;
        border-color: #ff0030;
        background: #ff0032;
    }

    &:active {
        border-color: #04C;
        background: #04C;
    }
}

.btn-light-blue {
    fill: #0044CC;
    color: #0044CC;
    border: 1px solid #DEEDFF;
    background: #DEEDFF;

    &:hover {
        border-color: #bdd8fd;
        background: #bdd8fd;
    }

    &:active {
        border-color: #DEEDFF;
        background: #DEEDFF;
    }
}

.btn-outline {
    fill: $black;
    color: $black;
    background: $white;
    border-color: $blue;

    &:hover {
        fill: $white;
        color: $white;
        border-color: $blue;
        background: $blue;
    }

    &:active {
        fill: $blue;
        color: $blue;
        background: $white;
        border-color: $blue;
    }
}

.btn-round {
    border-radius: 30px;
}

.btn-sm {
    min-height: toRem(32);
    padding: toRem(4) toRem(12);

    i {
        height: toRem(16);
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }

    &--blue {
        color: $blue;

        &:hover {
            color: $blue;
        }
    }
}

.btn-text {
    margin: 0;
    padding: 0;
    fill: $black;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: toRem(14);
    line-height: toRem(20);
    text-decoration: none;
    background: transparent;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: .25s;

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: toRem(24);
        display: inline-block;
    }

    i + span {
        margin-left: toRem(4);
    }

    span + i {
        margin-left: toRem(4);
    }

    &:hover {
        fill: $blue;
        color: $blue;
        text-decoration: none;
        transition: .25s;
    }

    &--blue {
        fill: $blue;
        color: $blue;

        &:hover {
            fill: $black;
            color: $black;
        }
    }
}

.btn-icon {
    padding: 0;
    fill: $blue;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: toRem(24);
    height: toRem(24);
    cursor: pointer;
    background: transparent;
    flex-shrink: 0;
    transition: .25s;
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover {
        fill: $black;
        transition: .25s;
    }

    i {
        display: inline-block;
        flex-shrink: 0;
        height: toRem(24);
    }

    &:disabled {
        opacity: 0.5;
        cursor: default;
        fill: $blue !important;
    }

    &--red {
        fill: #CC2222;

        &:hover {
            fill: $black;
        }
    }

    &--white {
        fill: $white;

        &:hover {
            fill: $white;
        }
    }
}
